Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.endpoint
Class DefaultOutboundEndpoint

    java.lang.Object
      org.mule.endpoint.AbstractEndpoint
          org.mule.endpoint.DefaultOutboundEndpoint

All Implemented Interfaces:
  Serializable, ImmutableEndpoint, OutboundEndpoint, MessageDispatching

    public class DefaultOutboundEndpoint

extends AbstractEndpoint
implements OutboundEndpoint

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.mule.endpoint.AbstractEndpoint
`logger, retryPolicyTemplate`

Fields inherited from interface org.mule.api.endpoint.ImmutableEndpoint
`INITIAL_STATE_STARTED, INITIAL_STATE_STOPPED`

Fields inherited from interface org.mule.api.transport.MessageDispatching
`RECEIVE_NO_WAIT, RECEIVE_WAIT_INDEFINITELY`

Constructor Summary
`DefaultOutboundEndpoint(Connector connector, EndpointURI endpointUri, List transformers, List responseTransformers, String name, Map properties, TransactionConfig transactionConfig, Filter filter, boolean deleteUnacceptedMessage, EndpointSecurityFilter securityFilter, boolean synchronous, int responseTimeout, String initialState, String endpointEncoding, String endpointBuilderName, MuleContext muleContext, RetryPolicyTemplate retryPolicyTemplate, String responsePropertiesList)`

Method Summary
`void` | `dispatch(MuleEvent event)` Dispatches an event from the endpoint to the external system
`List<String>` | `getResponseProperties()`
`MuleMessage` | `send(MuleEvent event)` Sends an event from the endpoint to the external system

Methods inherited from class org.mule.endpoint.AbstractEndpoint
`equal, equals, getConnector, getEncoding, getEndpointBuilderName, getEndpointURI, getFilter, getInitialState, getMuleContext, getName, getProperties, getProperty, getProtocol, getResponseTimeout, getResponseTransformers, getRetryPolicyTemplate, getSecurityFilter, getTransactionConfig, getTransformers, hashCode, isDeleteUnacceptedMessages, isReadOnly, isSynchronous, toString, updateTransformerEndpoints`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.endpoint.ImmutableEndpoint
`getConnector, getEncoding, getEndpointBuilderName, getEndpointURI, getFilter, getInitialState, getMuleContext, getName, getProperties, getProperty, getProtocol, getResponseTimeout, getResponseTransformers, getRetryPolicyTemplate, getSecurityFilter, getTransactionConfig, getTransformers, isDeleteUnacceptedMessages, isReadOnly, isSynchronous`

Constructor Detail

### DefaultOutboundEndpoint

    public DefaultOutboundEndpoint(Connector connector,
                                   EndpointURI endpointUri,
                                   List transformers,
                                   List responseTransformers,
                                   String name,
                                   Map properties,
                                   TransactionConfig transactionConfig,
                                   Filter filter,
                                   boolean deleteUnacceptedMessage,
                                   EndpointSecurityFilter securityFilter,
                                   boolean synchronous,
                                   int responseTimeout,
                                   String initialState,
                                   String endpointEncoding,
                                   String endpointBuilderName,
                                   MuleContext muleContext,
                                   RetryPolicyTemplate retryPolicyTemplate,
                                   String responsePropertiesList)

Method Detail

### dispatch

    public void dispatch(MuleEvent event)
                  throws DispatchException

  Description copied from interface: `MessageDispatching`
  Dispatches an event from the endpoint to the external system

  Specified by:
    `dispatch` in interface `MessageDispatching`
  Parameters:
    `event` - The event to dispatch
  Throws:
    `DispatchException` - if the event fails to be dispatched

### send

    public MuleMessage send(MuleEvent event)
                     throws DispatchException

  Description copied from interface: `MessageDispatching`
  Sends an event from the endpoint to the external system

  Specified by:
    `send` in interface `MessageDispatching`
  Parameters:
    `event` - The event to send
  Returns:
    event the response form the external system wrapped in a MuleEvent
  Throws:
    `DispatchException` - if the event fails to be dispatched

### getResponseProperties

    public List<String> getResponseProperties()

  Specified by:
    `getResponseProperties` in interface `OutboundEndpoint`
  Returns:
    a list of properties which should be carried over from the request message to the response message in the case of a synchronous call.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.